Cannot choose "Player Version"

Everything concerning the Wordpress/Joomla/Drupal plugins
Post Reply
Howard
Posts: 166
Joined: Wed Jun 03, 2009 5:58 am

Cannot choose "Player Version"

Post by Howard » Sat Oct 05, 2019 3:37 am

I'm trying to use the new WordPress "Garden Gnome Package" plugin to achieve the same functionality I enjoyed with the previous (ggpkg-import) plugin that allowed me to use the latest player with all my VRs on the site. But although their SHOULD be the ability to choose the player from a specific ggpkg file using the plugin's settings (Player Version > from package), the "from package" pulldown menu does not work. I've uploaded two different packages, with different versions of the player, in order to experiment with the new plugin. But I can't choose either of them in the "from package" pulldown, as it does not pull down.

Help please!

Thank you,
fromPackageGGPKG.jpg
fromPackageGGPKG.jpg (32.7 KiB) Viewed 1915 times
Howard

User avatar
Hopki
Gnome
Posts: 9649
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Cannot choose "Player Version"

Post by Hopki » Thu Oct 10, 2019 4:37 pm

Hi Howard,
The new plugin should allow you to select the player, but only from packages, you have uploaded after installing the new plugin.

Screenshot 2019-10-10 at 13.59.58.png
Screenshot 2019-10-10 at 13.59.58.png (118.19 KiB) Viewed 1843 times

Here you can see beta 3b and 4 as I uploaded packages made from these versions.
As you upload a package the player is added to the player list and can be used.
If you have a V4 package, you could upload and then delete it. This will put the V4 player in the list and can be selected as it also extracts the player top be used.
If you select from the package, then it will use the player that the package was built with.

The other settings you refer to are no longer relevant in Pano2VR 6.x.x
The Map and gyro are now in the skin, remember the first plugin was built before we have these features in the skin editor.
Regards,
Hopki

Howard
Posts: 166
Joined: Wed Jun 03, 2009 5:58 am

Re: Cannot choose "Player Version"

Post by Howard » Thu Oct 10, 2019 5:48 pm

No luck.

Even after deleting, then re-installing the new plugin, and then uploading a new GGPKG to Media, the "Player Version" tab in the plugin's settings is still non-functional.

User avatar
Hopki
Gnome
Posts: 9649
Joined: Thu Jan 10, 2008 3:16 pm
Location: Layer de la Haye, Essex UK
Contact:

Re: Cannot choose "Player Version"

Post by Hopki » Thu Oct 10, 2019 9:12 pm

Strange,
I’ll double check but it is working as described for me.
You can always go back and download the plugin from our website.
I wonder if there is anything else causing this.
What other plugins do you use?
Regards,
Hopki

Howard
Posts: 166
Joined: Wed Jun 03, 2009 5:58 am

Re: Cannot choose "Player Version"

Post by Howard » Tue Oct 22, 2019 3:17 am

The solution:
You must download and install the plugin directly from its WordPress plugin repository page, NOT via FTP. Only then will it establish the correct permissions for its various folders.

(Thanks, Hopki!)

Howard
Posts: 166
Joined: Wed Jun 03, 2009 5:58 am

Re: Cannot choose "Player Version"

Post by Howard » Sun Nov 10, 2019 2:16 pm

Unfortunately, when I updated to the new (2.1.0) version (through WP), the preferences were not saved. I needed to once again upload a new package in order to select a player version.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests